package it.unibas.appuntamenti.modello;

public class Lezione extends ImpegnoAstratto {
    
    private String corso;
    
    public Lezione() {}
    
    public Lezione(String corso, String luogo, String note, Orario orario) {
        super(luogo, note, orario);
        this.corso = corso;
    }
    
    public java.lang.String getCorso() {
        return corso;
    }
    
    public void setCorso(java.lang.String corso) {
        this.corso = corso;
    }
    
    public String toString() {
        return (super.orario + " -- lezione di " + this.corso + " - aula: " + super.luogo
                             + " - note: " + super.note);
    }
    
    public String saveString() {
        return ("lezione | " + super.orario + " | " + this.corso + " | " + super.luogo + " | " + super.note);
    }
   
}
