package it.unibas.appuntamenti.test;

import junit.framework.*;
import it.unibas.appuntamenti.modello.*;

public class TestImpegno extends TestCase {
    
    private Riunione riunione1330;
    private Lezione lezione1330; 
    private Lezione lezione1500; 
    private Orario orario1330;
    private Orario orario1500;
    
    public void setUp() {
        orario1330 = new Orario(13, 30);
        riunione1330 = new Riunione("impegno di prova", "tizio e caio", "Universit", "*", orario1330);
        orario1500 = new Orario(15, 00);
        lezione1500 = new Lezione("lezione di prova", "Aula 1", "*", orario1500);
        lezione1330 = new Lezione("lezione di prova 2", "Aula Magna", "*", orario1330);
    }
    
    public void testCompare1() {
        Assert.assertTrue("-1", riunione1330.compareTo(lezione1500) == -1);
        Assert.assertTrue("0", riunione1330.compareTo(riunione1330) == 0);
        Assert.assertTrue("0", riunione1330.compareTo(lezione1330) == 0);
        Assert.assertTrue("1", lezione1500.compareTo(riunione1330) == 1);
    }
    
}