package it.unibas.appuntamenti.modello;

public class Riunione extends ImpegnoAstratto {
    
    private String descrizione;
    private String partecipanti;
    
    public Riunione() {}
    
    public Riunione(String descrizione, String partecipanti, 
                    String luogo, String note, Orario orario) {
        super(luogo, note, orario);
        this.descrizione = descrizione;
        this.partecipanti = partecipanti;
    }
    
    public java.lang.String getDescrizione() {
        return descrizione;
    }
    
    public void setDescrizione(java.lang.String descrizione) {
        this.descrizione = descrizione;
    }

    public java.lang.String getPartecipanti() {
        return partecipanti;
    }
    
    public void setPartecipanti(java.lang.String partecipanti) {
        this.partecipanti = partecipanti;
    }
    
    public String toString() {
        return (super.orario + " -- " + this.descrizione + " - luogo: " + super.luogo 
                             + " - partecipanti: " + this.partecipanti 
                             + " - note: " + super.note);
    }
        
    public String saveString() {
        return ("riunione | " + super.orario + " | " + this.descrizione + " | " + super.luogo + " | " + this.partecipanti + " | " + super.note);
    }
}
