package it.unibas.appuntamenti.test;

import junit.framework.*;
import it.unibas.appuntamenti.modello.Orario;

public class TestOrario extends TestCase {
    
    private Orario orario1730;
    private Orario orario2330;
    private Orario orario2400;
    
    public void setUp() {
        orario1730 = new Orario(17, 30);
        orario2330 = new Orario(23, 30);
        orario2400 = new Orario(00, 00);
    }
    
    public void testOrario1() {
        Assert.assertTrue("17", orario1730.getOra() == 17);
        Assert.assertTrue("30", orario1730.getMinuti() == 30);
        Assert.assertTrue("17:30", orario1730.toString().equals("17:30"));
    }
    
    public void testOrario2() {
        Assert.assertTrue("00", orario2400.getOra() == 0);
        Assert.assertTrue("00", orario2400.getMinuti() == 0);
        Assert.assertTrue("0:0", orario2400.toString().equals(" 0:00"));
    }
    
    public void testCompare1() {
        Assert.assertTrue("-1", orario1730.compareTo(orario2330) == -1);
        Assert.assertTrue("0", orario1730.compareTo(orario1730) == 0);
        Assert.assertTrue("1", orario2330.compareTo(orario1730) == 1);        
    }

}
